<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: forum_threads_list_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| highslide last photo panel
| s.p.i.k.e.r.
| www.sib-fusion.ru
| 2009 (c) Krasnoyarsk
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

	opentable("Ostatnie zdjęcia");
	
	$result=dbquery("SELECT ta.album_id,album_title,photo_id,photo_title,photo_filename,photo_thumb1 FROM ".DB_PHOTO_ALBUMS." ta ".
	"JOIN ".DB_PHOTOS." USING (album_id) ORDER BY photo_id DESC LIMIT 0,15");

if (dbrows($result) != 0) {

?>

<script type="text/javascript" src="<?= INFUSIONS ?>highslide_last_photo_panel/highslide-with-gallery.js"></script>
<link rel="stylesheet" type="text/css" href="<?= INFUSIONS ?>highslide_last_photo_panel/highslide.css" />

<script type="text/javascript">
	hs.graphicsDir = '<?= INFUSIONS ?>highslide_last_photo_panel/graphics/';
	hs.align = 'center';
	hs.transitions = ['expand', 'crossfade'];
	hs.outlineType = 'rounded-white';
	hs.wrapperClassName = 'controls-in-heading';
	hs.fadeInOut = true;
	if (hs.addSlideshow) hs.addSlideshow({
		interval: 5000,
		repeat: false,
		useControls: true,
		fixedControls: false,
		overlayOptions: {
			opacity: 1,
			position: 'top right',
			hideOnMouseOut: false
		}
	});
</script>


<div class="highslide-gallery" align='center'>

<?php

	while($data = dbarray($result)) {

?>

  <a href="<?= PHOTOS."album_".$data['album_id']."/".$data['photo_filename'] ?>" class="highslide" onclick="return hs.expand(this)">
    <img src="<?= PHOTOS."album_".$data['album_id']."/".$data['photo_thumb1'] ?>" alt="<?= $data['photo_title'] ?>"
      title="Kliknij aby powiększyć" />
  </a>
  <div class="highslide-heading">
    <?= $data['photo_title'] ?>
  </div>



<?php

} 

?>

</div>
<div align='right'> <a href='photogallery.php'>Zobacz więcej...</a> </div>
<?php

} else echo "Brak zdjęć w galerii\n";

	closetable();

?>